<?php

namespace MyApp\Service;

use MyApp\Model\TallyLogsModel;
use MyApp\Core\Model;
use MyApp\Model\ServersModel;
use DateTime;

class PingService
{
    public function ping($server_id): ? TallyLogsModel
    {
        $server = ServersModel::find([$server_id],null,null,[],'','1');

        if (!empty($server)){
            $ip = $server[0]->getIp();
            exec("ping -c 10 $ip", $output, $status);
            foreach ($output as $line) {
                if (preg_match('/(?<transmitted>\d+)[\w\ ]*,\ (?<received>\d+)[\w\ ]*, (?<lost>\d+)%/',
                    $line, $m)) {
                    $log = new TallyLogsModel();

                    $log->setTime(new DateTime())
                        ->setLost($m['lost'])
                        ->setTransmitted($m['transmitted'])
                        ->setReceived($m['received']);

                    Model::save([$log]);

                    return $log;
                }
            }
        }

        return null;
    }
}
